/*採用情報
-----------------------------------------*/
/* ボタンの余白 */
.recruit-area .button-m__primary
{
    margin-top: 20px;
    margin-bottom: 80px;
}

/* タブ幅 */
.full-time
{
    margin-left: 24px;
}

.part-time
{
    margin-right: 16px;
}

.full-time,
.part-time
{
    width: calc((100% - (24px * 3))/ 2);
}

@media (min-width: 769px)
{
    .full-time
    {
        margin-left: 72px;
    }

    .part-time
    {
        margin-right: 72px;
    }

    .full-time,
    .part-time
    {
        width: calc((100% - ((72px * 2) + 24px))/ 2);
    }
}

/* タブ全体を囲むコンテナの設定 */
.tab-switch
{
    display: flex;
    flex-wrap: wrap;
    margin: auto;
    justify-content: center;
    gap: 4px 24px;
}

.tab-switch:after
{
    content: '';
    /* 空の擬似要素を作成 */
    width: 100%;
    /* 幅をコンテナ全体に設定 */
    height: 1px;
    /* 線の高さを1pxに設定 */
    background-color: var(--secondary-300);
    /* 線の色 */
    display: block;
    /* ブロック要素として表示 */
    order: -1;
    /* 擬似要素を上部に配置 */
    margin-top: -5px;
    /* タブボタンから-5pxの余白を設定 */
}

/* 各タブボタンの設定 */
.tab-switch>label
{
    flex: 1 1 auto;
    /* タブボタンが均等に幅をとるが、幅を超えると折り返す */
    order: -1;
    /* タブボタンを上部に配置 */
    position: relative;
    /* 子要素の絶対位置指定の基準 */
    padding: .7em 1em;
    /* 上下に0.7em、左右に1emの内側余白 */
    background-color: var(--white);
    /* タブボタンの背景色 */
    color: var(--secondary-300);
    /* 文字色をグレーに設定 */
    text-align: center;
    /* 文字を中央揃え */
    cursor: pointer;
    /* カーソルをポインターに変更 */
    transition: .3s all;
    /*変化を滑らかに*/
    border-top: 1px solid var(--secondary-300);
    border-radius: 8px 8px 0 0;
    border-left: 1px solid var(--secondary-300);
    border-right: 1px solid var(--secondary-300);
    border-bottom: 1px solid var(--secondary-300);
}

/* タブボタンのホバーおよび選択状態のスタイル */
.tab-switch>label:hover,
.tab-switch label:has(:checked)
{
    background-color: var(--white);
    /* ホバー/選択時の背景色 */
    color: var(--primary-700);
    /* ホバー/選択時の文字色 */
    border-top: 4px solid var(--primary-700);
    border-radius: 8px 8px 0 0;
    border-right: 1px solid var(--secondary-300);
    border-left: 1px solid var(--secondary-300);
    border-bottom: 1px solid var(--white);
}

/* ラジオボタン自体は非表示 */
.tab-switch input
{
    display: none;
    /* ラジオボタンを見えなくする */
}

/* タブコンテンツのスタイル */
.tab-switch>div
{
    display: none;
    /* 初期状態ではコンテンツを非表示に */
    width: 100%;
    /* コンテンツの幅を全体に設定 */
    padding: 40px 20px 0;
    /* 上下に余白 */
}

/* 選択されたタブのコンテンツを表示 */
.tab-switch label:has(:checked)+div
{
    display: block;
    /* 選択されたタブのコンテンツを表示 */
}


/* 募集要項 */
.recruit-area
{
    margin-top: 40px;
}

.recruit-area .ttl-deco
{
    margin-bottom: 24px;
}

.recruit-area__lead
{
    font-size: 18px;
    color: var(--primary-700);
}

.recruit-area__item dt
{
    margin-bottom: 16px;
    position: relative;
}

.recruit-area__item dt:after
{
    position: absolute;
    content: " ";
    display: block;
    border-bottom: 1px solid var(--primary-700);
    bottom: -8px;
    width: 40px;
}

.recruit-area__item dd
{
    padding-bottom: 8px;
    border-bottom: 1px solid var(--secondary-300);
    margin-bottom: 24px;
}

.recruit-area__item
{
    margin-top: 24px;
}


@media (min-width: 769px)
{
    .recruit-area__item
    {
        width: 100%;
    }

    .recruit-area__item dl
    {
        display: flex;
    }

    .recruit-area__item dt
    {
        margin-bottom: 16px;
        position: static;
        width: 160px;
        margin-right: 8px;
        border-bottom: 1px solid var(--primary-700);
        padding-bottom: 16px;
    }

    .recruit-area__item dt:after
    {
        content: none;
    }

    .recruit-area__item dd
    {
        width: calc(100% - 168px);
        padding-bottom: 16px;
        margin-bottom: 16px;
    }
}